#!/usr/bin/env python3

import pickle as pkl


def main():
    data = dict()
    with open('G2_VID4_BodyMovement.pkl', 'rb') as handle:
        data["BodyMovement"] = pkl.load(handle)
    with open('G2_VID4_HeadPose.pkl', 'rb') as handle:
        data["HeadPose"] = pkl.load(handle)
    with open('G2_VID4_JAActivityUnits_V2.pkl', 'rb') as handle:
        data['ActivityUnits'] = pkl.load(handle)
    with open('G2_VID4_RTGene.pkl', 'rb') as handle:
        data['RTGene'] = pkl.load(handle)
    with open("G2_VID4_speakDiar.pkl", 'rb') as handle:
        data["Speaker"] = pkl.load(handle)
    data["originalVideoResolution"] = (5760, 2880)
    with open('G2_VID4.dat', 'wb') as handle:
        pkl.dump(data, handle, protocol=pkl.HIGHEST_PROTOCOL)


if __name__ == '__main__':
    main()
